<template>
  <v-hover v-slot:default="{ hover }">
    <router-link
      :to="{ name: 'trends-home-post-getabstract', params: { id: data.id } }"
      class="image-trend-post-card d-flex"
    >
      <v-img
        :src="data.coverUrl"
        class="image-trend-post-card-image rounded"
        :class="hover ? 'elevation-6' : null"
        :aspect-ratio="350 / 260"
      >
        <v-row
          no-gutters
          align="end"
          class="
            lightbox
            white--text
            pa-5
            fill-height
            image-trend-post-card-gradient
          "
        >
          <v-container fluid v-if="!data.id" class="h-100">
            <v-progress-circular indeterminate color="grey lighten-1" />
          </v-container>
          <v-col>
            <div class="image-trend-post-card-title mb-2">
              {{ data.title }}
            </div>
            <div class="image-trend-post-card-subtitle">
              {{ data.author }}
            </div>
          </v-col>
        </v-row>
      </v-img>
    </router-link>
  </v-hover>
</template>

<script>
import GetAbstractService from "@/services/getabstractService";

export default {
  name: "ImageTrendPostCardGetAbstract",

  props: {
    post: {
      type: [Number, String],
      required: true,
    },
  },

  data() {
    return {
      data: {},
    };
  },

  created() {
    GetAbstractService.test(this.post)
      .then((response) => {
        this.data = response;
      })
      .catch((err) => this.$log.error(err));
  },

  methods: {
    getDate(timestamp) {
      let unix_timestamp = timestamp;
      var date = new Date(unix_timestamp);

      return date.toLocaleDateString("es", {
        year: "numeric",
        month: "2-digit",
        day: "numeric",
      });
    },
  },
};
</script>

<style>
.image-trend-post-card {
  color: initial;
  text-decoration: none;
}

.image-trend-post-card-gradient {
  background: linear-gradient(
    180deg,
    rgba(0, 0, 0, 0) 0%,
    rgba(0, 0, 0, 0.62) 100%
  );
}

.image-trend-post-card-title {
  font-family: Josefin Sans;
  font-style: normal;
  font-weight: normal;
  font-size: 24px;
  line-height: 24px;
}

.image-trend-post-card-subtitle {
  font-family: Roboto Condensed;
  font-style: normal;
  font-weight: normal;
  font-size: 18px;
  line-height: 21px;
}
</style>
